Subject: RE: [midcom] Evaluation: COPS and session initialisation

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 18 Oct 2002 15:46:10 -0400

I shouldn't say this without looking over the protocol in detail, but would
it make a real difference if the other end (non-PEP) did the initiation?
Megaco, for instance, won't work properly if the MGC does the initiation.
In the Megaco case, what might work would be to add a new request to the
protocol (at least on semantic terms) that the MGC issues to ask the MG to
connect with it.  The main problem is to get the associated trust model
right.

So, how does this compare with the COPS-PR situation? 

> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]] 
> Sent: Friday, October 18, 2002 2:47 PM
> To: Scott W Brim
> Cc: [email-masked]
> Subject: Re: [midcom] Evaluation: COPS and session initialisation
> 
> 
> Scott,
> 
> > 
> > IMHO the COPS/COPS-PR case is expressed wrong.  I see no reason why 
> > the Midcom agent can't initiate the COPS relationship.  
> It's the one 
> > that knows what needs to be installed in the middlebox.  I 
> believe the 
> > issue that confused the COPS model was that the middlebox 
> is speaking 
> > to a policy server, and thus it "must" be the COPS PDP.  
> Not true -- 
> > those "policy" relationships are completely independent.
> 
> I agree that there may be some confusion about this point. 
> But I see the 
> difference between the PDP to consult on policy decissions and the 
> COPS(-PR) PDP very clear.
> For the initiation of the session/relationship:
> As far as I know is it the PEP the one who intiates the COPS session.
> 
> Martin
> 
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/midcom
> 
_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom